Bug 966356 - debug port in jbossas-7.0 and jbossews-1.0 , jbosseap-6.0 ,jbossews-2.0 doesn't work sometimes
debug port in jbossas-7.0 and jbossews-1.0 , jbosseap-6.0 ,jbossews-2.0 does...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 02:52 EDT by yangmingzhi
Modified: 2015-05-14 19:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:59:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yangmingzhi 2013-05-23 02:52:49 EDT
Description of problem:
debug port in jbossas-7.0 and jbossews-1.0 , jbosseap-6.0 ,jbossews-2.0  doesn't work sometimes

Version-Release number of selected component (if applicable):
devenv_3262
STG(2.0.27.2)
rhc 1.8.9

How reproducible:
sometimes

Steps to Reproduce:
1. rhc app create app1 jbossas-7
2. touch app1/.openshift/markers/enabled_jpda
3. git push
4. ssh <app>
5. env | grep 127,  get the <internal-127-ip-of-app>
6. jdb -attach <internal-127-ip-of-app>:8787

Actual results:
6. [app3-hcx.stg.rhcloud.com 519daa88dbd93c0eba00001c]\> jdb -attach 127.11.153.1:8787
java.net.ConnectException: Connection refused
	at java.net.PlainSocketImpl.socketConnect(Native Method)
	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:339)
	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:200)
	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:182)
	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:391)
	at java.net.Socket.connect(Socket.java:579)
	at com.sun.tools.jdi.SocketTransportService.attach(SocketTransportService.java:222)
	at com.sun.tools.jdi.GenericAttachingConnector.attach(GenericAttachingConnector.java:116)
	at com.sun.tools.jdi.SocketAttachingConnector.attach(SocketAttachingConnector.java:90)
	at com.sun.tools.example.debug.tty.VMConnection.attachTarget(VMConnection.java:519)
	at com.sun.tools.example.debug.tty.VMConnection.open(VMConnection.java:328)
	at com.sun.tools.example.debug.tty.Env.init(Env.java:63)
	at com.sun.tools.example.debug.tty.TTY.main(TTY.java:1066)

Fatal error:
Unable to attach to target VM.
[app3-hcx.stg.rhcloud.com 519daa88dbd93c0eba00001c]\>

Expected results:
can input some command(eg:suspend)

Additional info:
Comment 1 Thomas Wiest 2013-05-23 10:26:32 EDT
Between steps 2 and 3 shouldn't you have done a "git add" and a "git commit" for the enabled_jpda marker file?

Could this explain the problem?
Comment 2 Bill DeCoste 2013-05-23 16:41:01 EDT
The marker is "enable_jpda" not "enabled_jpda"
Comment 3 yangmingzhi 2013-05-23 21:28:46 EDT
(In reply to Thomas Wiest from comment #1)
> Between steps 2 and 3 shouldn't you have done a "git add" and a "git commit"
> for the enabled_jpda marker file?
> 
> Could this explain the problem?

I used "git add ." and β€œgit comment -a -m 'my comments'" before "git push"
Comment 4 yangmingzhi 2013-05-23 21:33:38 EDT
(In reply to Bill DeCoste from comment #2)
> The marker is "enable_jpda" not "enabled_jpda"

I used "enable_jpda" when testing, but wrote "enabled_jpda" when filing a bug,
sorry for my mistake,but I use "enable_jpda" indeed.
Comment 5 yangmingzhi 2013-05-23 22:41:14 EDT
Verified in STG(2.0.27.2)

Note You need to log in before you can comment on or make changes to this bug.